QR kodları
GET https://qr.gonce.tr/api/qr-codes/
curl --request GET \
--url 'https://qr.gonce.tr/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gonce.tr/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | İsteğe Bağlı Metin (String) | Arama metni. |
| search_by | İsteğe Bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: name. |
| type | İsteğe Bağlı Metin (String) | Hangi alana göre arama yapıldığı. İzin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | İsteğe Bağlı Metin (String) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe Bağlı Metin (String) | Sonuçları bu tarihten itibaren filtreleyin. Y-m-d H:i:s formatında. |
| datetime_end | İsteğe Bağlı Metin (String) | Sonuçları bu tarihe kadar filtreleyin. Y-m-d H:i:s formatında. |
| order_by | İsteğe Bağlı Metin (String) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: qr_code_id, datetime, last_datetime, name, type. |
| order_type | İsteğe Bağlı Metin (String) | Sonuçların sıralama düzeni. İzin verilen değerler: Artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe Bağlı Tam Sayı (Integer) | Sonuçları almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe Bağlı Tam Sayı (Integer) | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://qr.gonce.tr/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-05 17:27:18",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.gonce.tr/api/qr-codes?page=1",
"last": "https://qr.gonce.tr/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qr.gonce.tr/api/qr-codes?page=1"
}
}
GET https://qr.gonce.tr/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://qr.gonce.tr/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gonce.tr/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://qr.gonce.tr/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-05 17:27:18",
}
}
POST https://qr.gonce.tr/api/qr-codes
| Parametreler | Detaylar | Açıklama |
|---|---|---|
curl --request POST \
--url 'https://qr.gonce.tr/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qr.gonce.tr/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qr.gonce.tr/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://qr.gonce.tr/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qr.gonce.tr/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qr.gonce.tr/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://qr.gonce.tr/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gonce.tr/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \